> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/core/get-started/faq/swig-uses-wrong-version-of-python.md).

# SWIG uses the wrong version of Python to compile my wrappers

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

If SWIG does not use the Python version and libraries you intend to [build the wrappers](https://github.com/ApryseSDK/PDFNetWrappers/) with, navigate to `PDFNetWrappers/PDFNetPython` and add a version requirement to the line `find_package(PythonLibs)`. For example, if SWIG is targeting Python 3.7 but you want to compile the wrappers with Python 2.7, change the line to

{% tabs %}
{% tab title="Shell" %}
{% code lineNumbers="true" %}

```sh
find_package(PythonLibs 2.7 EXACT REQUIRED)
```

{% endcode %}
{% endtab %}
{% endtabs %}

Note you must have the python version installed on your OS in order for SWIG to target that version. [pyenv](https://github.com/pyenv/pyenv/) can help you install another version of Python.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/core/get-started/faq/swig-uses-wrong-version-of-python.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
